From 44d0ea97c452ed5f5cd0f358b75115a029a28487 Mon Sep 17 00:00:00 2001
From: Mario Martelli <cocoa@schnuddelhuddel.de>
Date: Sat, 24 Jun 2017 16:01:20 +0200
Subject: [PATCH 2/4] org-protocol.el: Fix for silently failing open-source
 subprotocol

* (org-protocol-open-source): tests URL against
base-url and not the filename

TINYCHANGE
---
 lisp/org-protocol.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/org-protocol.el b/lisp/org-protocol.el
index 7e986a9ed..6744fc0ac 100644
--- a/lisp/org-protocol.el
+++ b/lisp/org-protocol.el
@@ -554,7 +554,7 @@ The location for a browser's bookmark should look like this:
 		      ;; Try to match a rewritten URL and map it to
 		      ;; a real file.  Compare redirects without
 		      ;; suffix.
-		      (when (string-match-p (car rewrite) f2)
+		      (when (string-match-p (car rewrite) f1)
 			(throw 'result (concat wdir (cdr rewrite))))))))
 	      ;; -- end of redirects --
 
-- 
2.11.0 (Apple Git-81)

